aboutsummaryrefslogtreecommitdiffstats
path: root/main/docker/APKBUILD
diff options
context:
space:
mode:
authorEivind Uggedal <eivind@uggedal.com>2015-09-28 19:27:36 +0000
committerEivind Uggedal <eivind@uggedal.com>2015-09-28 19:28:33 +0000
commitdd8c3f226fcf7b2ea48da7eb1a6cc9db51a2006e (patch)
treeff258e1a7f8d14079e13d665c0bd9483621576c1 /main/docker/APKBUILD
parent7f3e7363820b7eeba11e2916172b882ecbf72c89 (diff)
downloadaports-dd8c3f226fcf7b2ea48da7eb1a6cc9db51a2006e.tar.gz
aports-dd8c3f226fcf7b2ea48da7eb1a6cc9db51a2006e.tar.bz2
aports-dd8c3f226fcf7b2ea48da7eb1a6cc9db51a2006e.tar.xz
main/docker: fix completions
Add zsh completion and install_if on bash-completion for bash completion package.
Diffstat (limited to 'main/docker/APKBUILD')
-rw-r--r--main/docker/APKBUILD22
1 files changed, 17 insertions, 5 deletions
diff --git a/main/docker/APKBUILD b/main/docker/APKBUILD
index 7fe70e277e..9ee52c5672 100644
--- a/main/docker/APKBUILD
+++ b/main/docker/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Eivind Uggedal <eivind@uggedal.com>
pkgname=docker
pkgver=1.8.2
-pkgrel=2
+pkgrel=3
_gitcommit=0a8c2e3
pkgdesc="Pack, ship and run any application as a lightweight container"
url="http://www.docker.io/"
@@ -13,7 +13,8 @@ makedepends="go sqlite-dev btrfs-progs-dev bash linux-headers"
options="!strip"
install="$pkgname.pre-install"
subpackages="
- $pkgname-bash-completion:completion
+ $pkgname-bash-completion:bashcomp
+ $pkgname-zsh-completion:zshcomp
$pkgname-vim:vim
"
source="
@@ -60,15 +61,26 @@ package() {
"$pkgdir"/etc/conf.d/docker
}
-completion() {
- depends=""
- pkgdesc="Bash completion script for Docker"
+bashcomp() {
+ pkgdesc="Bash completion for Docker"
arch="noarch"
+ depends=""
+ install_if="$pkgname=$pkgver-r$pkgrel bash-completion"
install -Dm644 "$_builddir"/contrib/completion/bash/$pkgname \
"$subpkgdir"/usr/share/bash-completion/completions/$pkgname
}
+zshcomp() {
+ pkgdesc="Zsh completion for $pkgname"
+ arch="noarch"
+ depends=""
+ install_if="$pkgname=$pkgver-r$pkgrel zsh"
+
+ install -Dm644 "$_builddir"/contrib/completion/zsh/_$pkgname \
+ "$subpkgdir"/usr/share/zsh/site-functions/_$pkgname || return 1
+}
+
vim() {
depends=""
pkgdesc="Vim syntax for Docker"